IcedTea-Web NetX

## net.sourceforge.jnlp
Class SecurityDesc

    java.lang.Object
      net.sourceforge.jnlp.SecurityDesc

    public class SecurityDesc

extends java.lang.Object

The security element.

Field Summary
`static java.lang.Object` `ALL_PERMISSIONS` All permissions.
`static java.lang.Object` `J2EE_PERMISSIONS` J2EE permissions.
`static java.lang.Object` `SANDBOX_PERMISSIONS` Applet permissions.

Constructor Summary
`SecurityDesc(JNLPFile file, java.lang.Object type, java.lang.String downloadHost)` Create a security descriptor.

Method Summary
`static java.lang.String[]` `getJnlpRIAPermissions()` Returns all the names of the basic JNLP system properties accessible by RIAs
`java.security.PermissionCollection` `getPermissions(java.security.CodeSource cs)` Returns a PermissionCollection containing the basic permissions granted depending on the security type.
`java.security.PermissionCollection` `getSandBoxPermissions()` Returns a PermissionCollection containing the sandbox permissions
`java.lang.Object` `getSecurityType()` Returns the permissions type, one of: ALL_PERMISSIONS, SANDBOX_PERMISSIONS, J2EE_PERMISSIONS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PERMISSIONS

    public static final java.lang.Object ALL_PERMISSIONS

  All permissions.

### SANDBOX_PERMISSIONS

    public static final java.lang.Object SANDBOX_PERMISSIONS

  Applet permissions.

### J2EE_PERMISSIONS

    public static final java.lang.Object J2EE_PERMISSIONS

  J2EE permissions.

Constructor Detail

### SecurityDesc

    public SecurityDesc(JNLPFile file,
                        java.lang.Object type,
                        java.lang.String downloadHost)

  Create a security descriptor.

  Parameters:
    `file` - the JNLP file
    `type` - the type of security
    `downloadHost` - the download host (can always connect to)

Method Detail

### getSecurityType

    public java.lang.Object getSecurityType()

  Returns the permissions type, one of: ALL_PERMISSIONS, SANDBOX_PERMISSIONS, J2EE_PERMISSIONS.

### getPermissions

    public java.security.PermissionCollection getPermissions(java.security.CodeSource cs)

  Returns a PermissionCollection containing the basic permissions granted depending on the security type.

  Parameters:
    `cs` - the CodeSource to get permissions for

### getSandBoxPermissions

    public java.security.PermissionCollection getSandBoxPermissions()

  Returns a PermissionCollection containing the sandbox permissions

### getJnlpRIAPermissions

    public static java.lang.String[] getJnlpRIAPermissions()

  Returns all the names of the basic JNLP system properties accessible by RIAs

IcedTea-Web NetX

Submit a bug or feature